=== debian/changelog ===
cups (2.3.0+deepin2.3-1+security) unstable; urgency=medium

  * update

 -- Debian Printing Team <debian-printing@lists.debian.org>  Sun, 04 Apr 2021 15:35:51 +0800

cups (2.3.0+deepin2.2-1+eagle) unstable; urgency=medium

  * fix CVE-2020-10001

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 26 Feb 2021 10:18:26 +0800

cups (2.3.0+deepin2.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fixed CVE-2020-3898
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Sun, 05 Jul 2020 19:21:08 +0800

cups (2.3.0-5) unstable; urgency=medium

  * Let the test-drivers script stop waiting when a filter is allegedly
    failed, and give context

 -- Didier Raboud <odyx@debian.org>  Sat, 21 Sep 2019 09:41:44 +0200

cups (2.3.0-4) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (2197t)

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Sep 2019 15:03:47 +0200

cups (2.3.0-3) unstable; urgency=low

  * Fix autopkgtests for real; refactor lpadmin stderr filtering

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Sep 2019 09:32:07 +0200

cups (2.3.0-2) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Update German man page (2100t58f39u)

  [ Didier Raboud ]
  * Fix autopkgtest by filtering away known stderr messages

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Sep 2019 09:33:20 +0200

cups (2.3.0-1) unstable; urgency=low

  * New 2.3.0 upstream release, to unstable
    - CVE-2019-8696 and CVE-2019-8675: Fixed SNMP buffer overflows
    - Fixed IPP buffer overflow
    - Fixed memory disclosure and DoS issues in the scheduler
    - CUPS is now provided under the Apache License, Version 2.0, with a
      GPL2/LGPL2 exception
  * Rewrite debian/copyright with the above license change, install the
    NOTICE file
  * Refresh manpage translations
  * Refresh upstream metadata
  * Bump S-V to 4.4 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Sep 2019 13:19:18 +0200

cups (2.3~rc1-2) experimental; urgency=medium

  * Merge 2.2.12-1 from unstable
  * Add missing colon in closes line.
  * Set upstream metadata fields: Contact, Name.
  * Bump debhelper from old 11 to 12.

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Aug 2019 16:58:09 +0200

cups (2.3~rc1-1) experimental; urgency=medium

  * New 2.3~rc1 upstream release:
    - Refresh patch queue
    - Refresh manpage translation files
    - Remove /usr/sbin/accept and /usr/sbin/reject symlinks

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jun 2019 06:41:04 +0200

cups (2.3~b8-4) experimental; urgency=medium

  * Reset the LogDebugHistory setting to upstream default (LP: #1831021)

 -- Didier Raboud <odyx@debian.org>  Sun, 02 Jun 2019 10:51:31 +0200

cups (2.3~b8-3) experimental; urgency=medium

  * Migrate to dgit-maint-debrebase workflow

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2019 12:53:24 +0200

cups (2.3~b8-2) experimental; urgency=medium

  * Backport upstream patch:
    - Block cups-files.conf directives (Issue #5530, Closes: #923115)

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2019 10:42:54 +0200

cups (2.3~b8-1) experimental; urgency=medium

  * New 2.3~b8 upstream release
    - Add patch to fix tests' failure

  * Redo manpage po4a translation infrastructure and installation
  * Merge 2.2.10-6 from unstable

 -- Didier Raboud <odyx@debian.org>  Wed, 08 May 2019 15:26:40 +0200

cups (2.3~b7-1) experimental; urgency=medium

  * New 2.3~b7 upstream release
    - Drop two patches now included upstream

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Dec 2018 17:08:55 +0100

cups (2.3~b6-2) experimental; urgency=medium

  * Merge 2.2.10-3
  * Add patch to allow building with -Werror=maybe-uninitialized
  * Drop now-superflous --dbgsym-migration dh_strip argument

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Dec 2018 16:02:37 +0100

cups (2.3~b6-1) experimental; urgency=medium

  * New 2.3~b6 upstream pre-release
    - CVE-2018-4700: Linux session cookies used a predictable random number
      seed (Closes: #915909)
    - The `cupsaddsmb` program has been removed (Issue #5449)
    - The `cupstestdsc` program has been removed (Issue #5450)
    - Rebase patches

  * Merge 2.2.10-1
  * Manpage translations update
  * Add patch to fix FTBFS due to wrong `usage(int)` usage
  * Update libcups2 symbols: +12 cupsRaster*
  * Cope with cupsaddsmb and cupstestdsc removals:
    - Remove from cups-client installed files
    - Remove from manpage translation infrastructure
    - Remove from libcups2's README.Debian

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Dec 2018 10:18:41 +0100

cups (2.3~b5-2) experimental; urgency=medium

  * Merge 2.2.8-5, rebase patches

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Jul 2018 10:54:59 +0200

cups (2.3~b5-1) experimental; urgency=medium

  * New 2.3~b5 upstream release
  * Merge 2.2.8-2

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Jun 2018 16:25:15 +0200

cups (2.3~b4-3) experimental; urgency=medium

  * Merge 2.2.7-4, rebase patches

 -- Didier Raboud <odyx@debian.org>  Wed, 16 May 2018 21:38:01 +0200

cups (2.3~b4-2) experimental; urgency=medium

  * Merge 2.2.7-2
  * Name source lintian override file correctly

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Apr 2018 20:41:08 +0200

cups (2.3~b4-1) experimental; urgency=medium

  * New 2.3~b4 upstream pre-release
    - NOTICE: Printer drivers are now deprecated (Issue #5270)

  * Add cupsEncodeOption@Base 2.3~b4 symbol in libcups2
  * Refresh manpage translations

 -- Didier Raboud <odyx@debian.org>  Wed, 28 Mar 2018 09:14:49 +0200

cups (2.3~b3-1) experimental; urgency=medium

  * New 2.3~b3 upstream pre-release
   - The `lp` and `lpr` commands now provide better error messages when the
     default printer cannot be found (Issue #5096, Closes: #870463)
   - CUPS is now provided under the Apache License, Version 2.0

  * 2.3~b3 updates:
    - Update manpage translation files
    - Add 2 libcups2 symbols introduced in 2.3~b1
    - Backport patch from upstream to fix filter's installation (Issue #5247)


