=== debian/control ===
Source: cups
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>,
           Till Kamppeter <till.kamppeter@gmail.com>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-apparmor,
               dh-exec,
               patch,
               autoconf,
               automake,
               libtool,
               pkg-config,
               ghostscript,
               libavahi-client-dev,
               libavahi-common-dev,
               libavahi-compat-libdnssd-dev,
               libdbus-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgnutls28-dev,
               libijs-dev,
               libjpeg-dev,
               libldap2-dev,
               libkrb5-dev,
               libpam0g-dev,
               libpaper-dev,
               libpng-dev,
               libsystemd-dev [linux-any],
               libtiff-dev,
               libusb-1.0-0-dev [!hurd-any],
               po4a,
               po-debconf,
               poppler-utils,
               sharutils,
               zlib1g-dev
# libgmp-dev is not GPL-2 compatible before it's 6 release, which makes it also GPL-2+
Build-Conflicts: libgmp-dev (<< 2:6)
Rules-Requires-Root: no
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/printing-team/cups
Vcs-Git: https://salsa.debian.org/printing-team/cups.git
Homepage: https://www.cups.org/

Package: libcups2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: cups-common
Pre-Depends: ${misc:Pre-Depends}
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcups2 (= ${binary:Version})
Recommends: libcupsfilters1
Pre-Depends: ${misc:Pre-Depends}
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: cups
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-core-drivers (>= ${binary:Version}),
         cups-daemon (>= ${binary:Version}),
         debconf | debconf-2.0,
         poppler-utils,
         procps,
         ghostscript,
         cups-common (>= ${source:Version}),
         cups-server-common (>= ${source:Version}),
         cups-client (>= ${binary:Version}),
         libcups2 (= ${binary:Version}),
         cups-ppdc,
         cups-filters (>= 1.0.24-3~)
Recommends: avahi-daemon,
            colord,
            cups-filters (>= 1.0.42) | foomatic-filters,
            printer-driver-gutenprint,
            cups-filters (>= 1.0.36) | ghostscript-cups
Suggests: cups-bsd,
          foomatic-db-compressed-ppds | foomatic-db,
          printer-driver-hpcups,
          hplip,
          cups-pdf,
          udev,
          smbclient
Pre-Depends: ${misc:Pre-Depends}
Breaks: cups-bsd (<< 1.7.2-3~)
Replaces: cups-bsd (<< 1.7.2-3~)
Description: Common UNIX Printing System(tm) - PPD/driver support, web interface
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for using printer
 drivers.

Package: cups-core-drivers
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-daemon (>= ${binary:Version}),
         libcups2 (= ${binary:Version}),
         cups-filters-core-drivers
Recommends: avahi-daemon
Pre-Depends: ${misc:Pre-Depends}
Breaks: cups (<< 1.7.1-4~),
        cups-server-common (<< 2.1.0-7~)
Replaces: cups (<< 1.7.1-4~),
          cups-server-common (<< 2.1.0-7~)
Description: Common UNIX Printing System(tm) - driverless printing
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for driverless
 printing on IPP printers with common data formats.

Package: cups-daemon
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
         lsb-base,
         libcups2 (= ${binary:Version}),
         ssl-cert,
         adduser,
         bc
Recommends: colord,
            cups-browsed,
            avahi-daemon (>= 0.6.31-3~)
Suggests: cups,
          cups-bsd,
          cups-common (>= ${source:Version}),
          cups-server-common (>= ${source:Version}),
          cups-client (>= ${binary:Version}),
          cups-ppdc,
          cups-filters,
          poppler-utils,
          ghostscript,
          cups-filters (>= 1.0.42) | foomatic-filters,
          foomatic-db-compressed-ppds | foomatic-db,
          printer-driver-gutenprint,
          printer-driver-hpcups,
          hplip,
          cups-pdf,
          udev,
          smbclient
Breaks: cups (<< 2.1.0-6~)
Replaces: cups (<< 2.1.0-6~)
Description: Common UNIX Printing System(tm) - daemon
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon.

Package: cups-client
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-common (>= ${source:Version}),
         libcups2 (= ${binary:Version}),
         adduser
Suggests: cups,
          cups-bsd,
          smbclient
Breaks: cups (<< 1.7.3-5~)
Conflicts: lprng
Replaces: cups (<< 1.7.3-5~)
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: cups-ipp-utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcups2 (= ${binary:Version})
Breaks: cups (<< 1.7.3-5~),
        cups-client (<< 2.0.3-2~)
Replaces: cups (<< 1.7.3-5~),
          cups-client (<< 2.0.3-2~)
Description: Common UNIX Printing System(tm) - IPP developer/admin utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides IPP utilities for developers and system administrators

Package: libcups2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcupsimage2-dev (= ${binary:Version}),
         libcups2 (= ${binary:Version}),
         dpkg-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libcupsimage2 (= ${binary:Version}),
         libcups2-dev (= ${binary:Version}),
         libpng-dev,
         libtiff-dev,
         libjpeg-dev,
         zlib1g-dev
Recommends: libcupsfilters-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: cups-bsd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-client (= ${binary:Version}),
         debconf | debconf-2.0,
         cups-common (>= ${source:Version})
Suggests: cups,
          inetutils-inetd | inet-superserver,
          update-inetd
Conflicts: lpr,
           lprng
Provides: lpr
Replaces: lpr
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-server-common
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: cups (<< 1.6.2-2~),
        cups-common (<< 1.7.0)
Replaces: cups (<< 1.6.2-2~),
          cups-common (<< 1.7.0)
Description: Common UNIX Printing System(tm) - server common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides common files for CUPS server.

Package: cups-ppdc
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cups-common (>= ${source:Version})
Description: Common UNIX Printing System(tm) - PPD manipulation utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides utilities to generate and manipulate PPD files.
